Package org.bukkit.event.entity

# Class SheepDyeWoolEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
io.papermc.paper.event.entity.EntityDyeEvent
org.bukkit.event.entity.SheepDyeWoolEvent

All Implemented Interfaces:
  `Cancellable`

public class SheepDyeWoolEvent extends EntityDyeEvent implements Cancellable
Called when a sheep's wool is dyed

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`SheepDyeWoolEvent(@NotNull Sheep sheep, @NotNull DyeColor color)`
Deprecated.
`SheepDyeWoolEvent(@NotNull Sheep sheep, @NotNull DyeColor color, @Nullable Player player)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Sheep`
`getEntity()`
Returns the Entity involved in this event

### Methods inherited from class io.papermc.paper.event.entity.EntityDyeEvent

`getColor, getHandlerList, getHandlers, getPlayer, isCancelled, setCancelled, setColor`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.event.Cancellable

`isCancelled, setCancelled`

## Constructor Details

### SheepDyeWoolEvent

@Deprecated public SheepDyeWoolEvent(@NotNull @NotNull Sheep sheep, @NotNull @NotNull DyeColor color)
Deprecated.

### SheepDyeWoolEvent

public SheepDyeWoolEvent(@NotNull @NotNull Sheep sheep, @NotNull @NotNull DyeColor color, @Nullable @Nullable Player player)

## Method Details

### getEntity

@NotNull public @NotNull Sheep getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event